Twa poarten dy't mei deselde foarôf dielde kaai ynsteld binne, foltôgje in hânskodding, en in pakketopname lit gjin geheim oer de tried gean. Dat is it part dat minsken ûnthâlde. It nijsgjirrige part is wat elke ferzje eins berekkent om te bewizen dat it geheim bekend is, om't IKEv1 en IKEv2 dat bewiis út ferskillende ynfier bouwe en dêrby ferskillende ynformaasje bleat lizze. Lês de beide spoaren njonken inoar en it ferskil hâldt op kosmetysk te wêzen.

Wat it bewiis berikke moat

Diffie-Hellman jout beide partijen in mienskiplike wearde wêrfan't de iepenbiere helten ek troch elkenien dy't meikket berekkene wurde kinne. Op himsels bewizet dat neat oer identiteit: in oanfaller dy't in kaaie-útwikseling foltôget, hat deselde mienskiplike wearde as jo poarte. De ferifikaasjestap bestiet om dy útwikseling te binen oan in geheim dat allinnich de bedoelde partijen hawwe, en oan 'e identiteiten en parameters dêr't se it oer iens wurden binne.

Dy bining is de reden dat de hash mear as de kaai beslacht. As er allinnich it geheim besloech, koe in oanfaller it weromspegelje yn in oare útwikseling mei oare identiteiten of foarstellen.

IKEv1 Main Mode: SKEYID ôfliede en dan bewize

Main Mode rint seis berjochten. It earste pear ûnderhannelt de befeiligingsassosjaasje, it twadde wikselet Diffie-Hellman-iepenbiere wearden en nonces út, en it tredde draacht identiteiten plus ferifikaasje-hashes ûnder de krekt oprjochte fersifering. RFC 2409 definiearret de konstruksje: mei ferifikaasje troch foarôf dielde kaai wurdt SKEYID ôflaat fan it geheim en beide nonces, en it lettere kaaie materiaal wurdt ôflaat fan SKEYID, de mienskiplike Diffie-Hellman-wearde, de koekjes en konstanten.

De hash yn berjochten fiif en seis wurdt berekkene oer de Diffie-Hellman-wearde, de beide koekjes, it foarstel en de identiteit fan 'e stjoerder, mei SKEYID as kaai. De ûntfanger berekkent him opnij mei syn eigen ynstelde geheim. In ôfwiking einiget de útwikseling, en op gjin inkeld punt is it geheim sels in lading.

Aggressive Mode komprimearret itselde wurk yn trije berjochten, wat betsjut dat identiteiten en de ferifikaasje-hash reizgje foardat der in fersifere kanaal bestiet. Dat is in echte bleatstelling foar in te rieden geheim, en it stiet los fan 'e fraach oft it geheim oerdroegen is. IKEv1 is ferâldere troch RFC 9395, dus in âld spoar is in diagnostyske oefening ynstee fan in ynsetdoel.

IKEv2: in oare ôflieding en in oare AUTH-lading

IKEv2 brûkt it IKEv1-kaaieskema net opnij. De earste IKE-kaaien komme út in sied dat boud is út 'e nonces en de mienskiplike Diffie-Hellman-wearde, en de bernbefeiligingsassosjaasjes wurde dêrfan ôflaat. De foarôf dielde kaai fiedt it sied hielendal net.

Ferifikaasje ferskynt dan as in AUTH-lading. Foar ferifikaasje mei in dielde kaai spesifisearret RFC 7296 in opfolle foarm fan it geheim, makke troch it geheim te hashen mei de fêste tekenrige Key Pad for IKEv2, en dêrnei de ûndertekene útwikselingsgegevens en de identiteit te hashen mei dy opfolle kaai. De ferifiearder kin deselde wearde opnij bouwe; in waarnimmer kin dat net, sûnder it geheim.

Merk op wat feroare. Yn IKEv1 wurdt it geheim yn it kaaieskema bakt foardat de ferifikaasje-hash bestiet; yn IKEv2 is it kaaieskema ûnôfhinklik fan it geheim en is it bewiis in aparte lading bûn oan 'e ûndertekene oktetten. Deselde konseptuele garânsje, oare masjinerie, en dêrom komme parameternammen en opnamen net ien-op-ien oerien.

Wat in waarnimmer eins leart

Diffie-Hellman-iepenbiere wearden, foarstellen, nonces en koekjes binne sichtber yn beide ferzjes. Identiteiten binne sichtber yn IKEv1 Aggressive Mode en beskerme yn 'e oare gefallen. It geheim is nea sichtber.

Dy lêste sin hat in grins dy't it neamen wurdich is. In swak, troch minsken keazen geheim kin oanfallen wurde troch te rieden: de oanfaller berekkent wat de ferifikaasjewearde foar in kandidaat-geheim wêze soe en fergeliket. IKEv1 Aggressive Mode makket dat it goedkeapst om't it bewiis iepen en blier is, en de noarmen warskôgje yn 't algemien oer geheimsinnigens mei lege entropy. It geheim nea stjoere is net itselde as in min geheim feilich meitsje.

Wat mei de fergeliking te dwaan

Brûk ien unyk geheim per partijpear, generearje it út in tafallige boarne en rotearje it troch itselde foarsjenningpaad dat it ferspraat hat. As it geheim bewarre wurdt yn in konfiguraasjesjabloan dat nei elke filiaal stjoerd wurdt, is in kompromis op ien plak in kompromis oeral.

Jou de foarkar oan sertifikaatbasearre ferifikaasje wêr't de operasjonele kosten akseptabel binne, om't it it riedprobleem fan it dielde geheim fuorthellet en elk partij in eigen identiteit jout. Wêr't in foarôf dielde kaai bliuwt, hâld dy lang, behein syn berik en behannelje de IKE-ferzje as in befeiligingsbeslissing ynstee fan in ynteroperabiliteitsdetail.

Relatearre artikelen